import ddf.minim.*;

Minim minim;
AudioPlayer player;
AudioPlayer scream;
PFont font;
PImage face;
boolean win;
String whowon;
char[] letterOne = { 
  'a', ';', 's', 'l', 'd', 'k', 'f', 'j'
};
char[] letterTwo = {
  'q', 'p', 'w', 'o', 'e', 'i', 'r', 'u'
};
char[] letterThree = {
  'z', '/', 'x', '.', 'c', ',', 'v', 'm'
};

int index;
Spider pOne;
Spider pTwo;
Spider pThree;

void setup() {
  minim = new Minim(this);
  player = minim.loadFile("flib.wav");
  scream = minim.loadFile("scream.wav");
  player.play();
  player.loop();
  colorMode(HSB);
  font = loadFont("Serif-48.vlw"); 
  textFont(font);
  face = loadImage("face.jpg");
  size(600,600);
  reset();
}


void draw() {
  if(!win) {
    image(face,random(3),random(3),width,height);
  }
  else {
    //image(face,random(8),random(8),width,height);
    //fill(255,255,255,200);
    //rect(width/2,width/2,width,height);
  }
  
  //show me da spiders
  pOne.display();
  pTwo.display();
  pThree.display();
  
  //win stuff
  if (win) {
    scream.play();
    scream.loop();
    fill(random(255),random(255),random(255));
    text("I love "  +whowon, random(width), random(height));
    colorMode(HSB);
    fill(random(255),255,255);
    text("click mouse to reset", random(3), 400);
  }
  
  // controls display
  fill(150, random(255),random(255));
    text("spider one: qpwoeiru",20,30);
    fill(0,random(255),random(255));
    text("spider two: a;sldkfj", 20, 70);
    fill(40,random(255),random(255));
    text("spider three: z/x.c,vm" ,40, 100);
}


//allow keyboard input only if nobody has won yet
void keyPressed() {
  if(!win) {
    pOne.walk(key);
    pTwo.walk(key);
    pThree.walk(key);
    scream.pause();
  }
}


// build spiders at default location, set win back to false
void reset() {
  pOne = new Spider(letterOne, 100,150, "Blue Spider");
  pTwo = new Spider(letterTwo, width/2, 0, "Red Spider");
  pThree = new Spider(letterThree, width-100,40,"Yellow Spider");
  win = false;
}


//activate above reset conditions on click, but only if somebody has won
void mousePressed() {
  if (win) {

    reset();
  }
}

//stop sound when closing
void stop()
{
  player.close();
  scream.close();
  minim.stop();
  super.stop();
}

